Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class LocalGraphicsState

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.CompositeObject
              org.pdfclown.documents.contents.objects.ContainerObject
                  org.pdfclown.documents.contents.objects.LocalGraphicsState

    @PDF(value=PDF10)
    public final class LocalGraphicsState

extends ContainerObject

Local graphics state [PDF:1.6:4.3.1].

Since:
  0.0.4
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `BeginOperator`
`static String` | `EndOperator`

Fields inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`objects`

Constructor Summary
`LocalGraphicsState()`
`LocalGraphicsState(List<ContentObject> objects)`

Method Summary
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.
`void` | `writeTo(IOutputStream stream, Document context)` Serializes this object to the specified stream.

Methods inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`createRenderObject, getHeader, getObjects, render, setHeader, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BeginOperator

    public static final String BeginOperator

See Also:
  Constant Field Values

### EndOperator

    public static final String EndOperator

See Also:
  Constant Field Values

Constructor Detail

### LocalGraphicsState

    public LocalGraphicsState()

### LocalGraphicsState

    public LocalGraphicsState(List<ContentObject> objects)

Method Detail

### scan

    public void scan(ContentScanner.GraphicsState state)

  Description copied from class: `ContentObject`
  Applies this object to the specified graphics context, updating the specified graphics state.

  Overrides:
    `scan` in class `CompositeObject`
  Parameters:
    `state` - Graphics state.

### writeTo

    public void writeTo(IOutputStream stream,
                        Document context)

  Description copied from class: `ContentObject`
  Serializes this object to the specified stream.

  Overrides:
    `writeTo` in class `CompositeObject`
  Parameters:
    `stream` - Target stream.
    `context` - Document context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.